Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 19 Sep 2002 15:58:43 +0300
From:      Odhiambo Washington <wash@wananchi.com>
To:        Ulrich 'Q' Spoerlein <q@uni.de>
Cc:        Odhiambo Washington <wash@wananchi.com>, freebsd-stable@freebsd.org
Subject:   Re: 4.7-PRERELEASE FAILING!!
Message-ID:  <20020919125842.GE5415@ns2.wananchi.com>
In-Reply-To: <h0hjou8bqplojldskihgdfdvqjbje8n5ue@4ax.com>
References:  <20020919115412.GB5415@ns2.wananchi.com> <5.1.0.14.0.20020919080934.0329de80@192.168.0.12> <20020919122039.GC5415@ns2.wananchi.com> <h0hjou8bqplojldskihgdfdvqjbje8n5ue@4ax.com>

next in thread | previous in thread | raw e-mail | index | archive | help

--OwLcNYc0lM97+oe1
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

* Ulrich 'Q' Spoerlein <q@uni.de> [20020919 15:37]: wrote:
> On Thu, 19 Sep 2002 15:20:39 +0300, you wrote:
> 
> >> >When I start them manually they do start however. I did not make any
> >> >changes to the rc files during mergemaster.
> >> 
> >> You must have accidentally changed something at mergemaster / install time. 
> >> Double check that the files in /etc/ didnt get incorrectly altered.  Also, 
> >> dmesg -a might still have your bootup info stored and it might offer a clue 
> >> as to what went wrong.
> >
> >Thanks for the quick response. During mergemaster, I am pretty sure no critical
> >file changed. I may swear this and be proved wrong though/
> 
> re-run your mergemaster with the -s option and make sure all files are as
> accurate as possible.

Will do. Thanks.


> >What I need to find out is which file controls the starting of the scripts in rc.d/
> >
> >The first clue I have about all this is that I realized that mysql-server.sh
> >refused to start. When I attempted to start it manually the system complained that
> >there was "&&" that was unexpected. So I am wondering whether the syntax for /bin/sh
> >has changed??? There has never been a probem with these scripts before. They cannot
> 
> yes, "command1 & && command2" won't work any longer. please update your
> mysql ports as there are new startup scripts (or replace mysql & && echo
> mysql with mysql &; echo mysql)

Where is this documented? I missed it. Is this relevant to 4.6 also? I find a problem,
for example this line:

/usr/local/bin/safe_mysqld --user=mysql --log=/var/log/mysql.log > /dev/null && echo -n ' mysqld'

On a 4.6 when I try the change you suggest, it complains about the ";", as in

/usr/local/bin/safe_mysqld --user=mysql --log=/var/log/mysql.log > /dev/null &; echo -n ' mysqld'

That is wrong isn't it? Moreso, when I change the & &&, then I cannot do ./mysql-server.sh start,
because then it doesn't detach from the tty.....


> aside from mysql-server.sh which scripts are failing too? do they include
> the "& &&" syntax?


All the scripts in there failed to start - ALL of them.
I have tpop3d.sh, exim.sh, proftppd.sh, apache.sh, drwebd.sh ..
I mean I have to start all of them manually :-(

Please allow me to bother you with this by attaching the scripts.
I believe there is something else that has made them fail.
If only I could zero in on it.


THANK YOU SO MUCH for taking your time to see me through this. I am most grateful.



-Wash

S y s t e m s   A d m i n i s t r a t o r
-- 

------=====================================------
Odhiambo Washington		Wananchi Online Ltd 
E: WASH@wananchi.com		www.wananchi.com 
P: (+254)2 313 985-9		1st Floor Loita Hse 
F: (+254)2 313 922		Loita St., NAIROBI 
------=====================================------
++
"Nuclear war would really set back cable."
		-- Ted Turner

--OwLcNYc0lM97+oe1
Content-Type: application/x-sh
Content-Disposition: attachment; filename="apache.sh"
Content-Transfer-Encoding: quoted-printable

#!/bin/sh=0A=0Aif ! PREFIX=3D$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\=
$"); then=0A    echo "$0: Cannot determine the PREFIX" >&2=0A    exit 1=0Af=
i=0A=0Acase "$1" in=0Astart)=0A	[ -x ${PREFIX}/sbin/apachectl ] && ${PREFIX=
}/sbin/apachectl startssl > /dev/null && echo -n ' apache'=0A	;;=0Astop)=0A=
	[ -r /var/run/httpd.pid ] && ${PREFIX}/sbin/apachectl stop > /dev/null && =
echo -n ' apache'=0A	;;=0A*)=0A	echo "Usage: `basename $0` {start|stop}" >&=
2=0A	;;=0Aesac=0A=0Aexit 0=0A
--OwLcNYc0lM97+oe1
Content-Type: application/x-sh
Content-Disposition: attachment; filename="drwebd.sh"
Content-Transfer-Encoding: quoted-printable

#!/bin/sh=0A#=0A# $Id$=0A#=0A# Note that 'pidfile' may need to be changed i=
f 'args' is altered; see=0A# the description of the 'pid_file_path' Exim co=
nfiguration option in=0A# the Exim Specification.=0A#=0A=0Apidfile=3D'/usr/=
local/drweb/run/drwebd.pid'=0A=0Acase "$1" in=0Astart)=0A        [ -x /usr/=
local/drweb/drwebd ] && /usr/local/drweb/drwebd && \=0A            echo -n =
' drwebd started'=0A        ;;=0Astop)=0A        killall drwebd && echo -n =
' drwebd stopped'=0A        ;;=0A*)=0A        echo "Usage: `basename $0` {s=
tart|stop}" >&2=0A        exit 64=0A        ;;=0Aesac=0A=0Aexit 0=0A
--OwLcNYc0lM97+oe1
Content-Type: application/x-sh
Content-Disposition: attachment; filename="samba.sh"
Content-Transfer-Encoding: quoted-printable

#!/bin/sh=0Asmbspool=3D/var/spool/samba=0Apidfiledir=3D/var/run=0Asmbd=3D/u=
sr/local/sbin/smbd=0Anmbd=3D/usr/local/sbin/nmbd=0A=0A# start=0Aif [ "x$1" =
=3D "x" -o "x$1" =3D "xstart" ]; then=0A	if [ -f $smbd ]; then=0A		if [ -d =
$smbspool ]; then=0A			rm -f $smbspool/*=0A		fi=0A		echo -n ' Samba'=0A		$s=
mbd -D=0A		$nmbd -D=0A	fi=0A=0A# stop=0Aelif [ "x$1" =3D "xstop" ]; then=0A=
	kill `cat $pidfiledir/smbd.pid`=0A	kill `cat $pidfiledir/nmbd.pid`=0Afi=0A
--OwLcNYc0lM97+oe1
Content-Type: application/x-sh
Content-Disposition: attachment; filename="proftpd.sh"
Content-Transfer-Encoding: quoted-printable

#!/bin/sh=0A=0Acase "$1" in=0A=0Astart)=0A	/bin/mkdir -p /var/run/proftpd=
=0A	if [ -x /usr/local/libexec/proftpd ]; then=0A		/usr/local/libexec/proft=
pd && echo -n ' proftpd'=0A	fi=0A	;;=0A=0Astop)=0A	killall proftpd=0A	;;=0A=
*)=0A	echo "$0 start | stop"=0A	;;=0A=0Aesac=0A
--OwLcNYc0lM97+oe1
Content-Type: application/x-sh
Content-Disposition: attachment; filename="slapd.sh"
Content-Transfer-Encoding: quoted-printable

#!/bin/sh=0A#=0A# $FreeBSD: ports/net/openldap2/files/slapd.sh,v 1.1 2000/0=
9/25 05:43:46 knu Exp $=0A=0Aslapd=3D/usr/local/libexec/slapd=0Apidfile=3D/=
var/run/slapd.pid=0A=0Acase "$1" in=0Astart)=0A    if [ -x $slapd ]; then=
=0A	echo -n ' slapd'=0A	$slapd=0A    fi=0A    ;;=0Astop)=0A    if [ -f $pid=
file ]; then=0A	kill `cat $pidfile`=0A	telnet localhost ldap </dev/null >/d=
ev/null 2>&1=0A	echo -n ' slapd'=0A	rm $pidfile=0A    else=0A	echo ' slapd:=
 not running'=0A    fi=0A    ;;=0A*)=0A    echo "Usage: `basename $0` {star=
t|stop}" >&2=0A    exit 64=0A    ;;=0Aesac=0A=0Aexit 0=0A
--OwLcNYc0lM97+oe1
Content-Type: application/x-sh
Content-Disposition: attachment; filename="spamd.sh"
Content-Transfer-Encoding: quoted-printable

#!/bin/sh=0A=0Aif ! PREFIX=3D$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\=
$"); then=0A    echo "$0: Cannot determine the PREFIX" >&2=0A    exit 1=0Af=
i=0A=0Acase "$1" in=0Astart)=0A	[ -x ${PREFIX}/bin/spamd ] && ${PREFIX}/bin=
/spamd -a -c -d && echo -n ' spamd'=0A#	[ -x ${PREFIX}/bin/spamd ] && ${PRE=
FIX}/bin/spamd -d -u nobody && echo -n ' spamd'=0A	;;=0Astop)=0A	;;=0A*)=0A=
	echo "Usage: `basename $0` {start|stop}" >&2=0A	;;=0Aesac=0A=0Aexit 0=0A
--OwLcNYc0lM97+oe1
Content-Type: application/x-sh
Content-Disposition: attachment; filename="tpop3d.sh"
Content-Transfer-Encoding: quoted-printable

#!/bin/sh=0A#=0A# tpop3d:=0A# Init script for starting/stopping tpop3d.=0A#=
=0A# Copyright (c) 2001 Chris Lightfoot. All rights reserved.=0A#  Portabil=
ity enhanced by Chris Elsworth, July 2001=0A#=0A# $FreeBSD: ports/mail/tpop=
3d/files/tpop3d.sh.sample,v 1.1 2001/08/31 05:43:57 petef Exp $=0A#=0A=0Aif=
 ! PREFIX=3D$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then=0A    e=
cho "$0: Cannot determine the PREFIX" >&2=0A    exit 1=0Afi=0A=0ADAEMON=3D$=
PREFIX/sbin/tpop3d=0A=0A[ -f $DAEMON ] || exit 0=0A=0A# See how we were cal=
led.=0Acase "$1" in=0A  start)=0A        # Start daemons.=0A        $DAEMON=
 -f $PREFIX/etc/tpop3d.conf -p /var/run/tpop3d.pid \=0A		&& echo -n " tpop3=
d"=0A        ;;=0A  stop)=0A        # Stop daemons.=0A	[ -r /var/run/tpop3d=
.pid ] && kill `cat /var/run/tpop3d.pid` \=0A		&& echo -n " tpop3d"=0A     =
   ;;=0A  restart)=0A	$0 stop=0A	$0 start=0A	;;=0A  reload)=0A  	[ -r /var/=
run/tpop3d.pid ] && kill -HUP `cat /var/run/tpop3d.pid`=0A        ;;=0A  *)=
=0A        echo "Usage: `basename $0` {start|stop|restart|reload}"=0A      =
  exit 1=0Aesac=0A=0Aexit 0=0A
--OwLcNYc0lM97+oe1
Content-Type: application/x-sh
Content-Disposition: attachment; filename="z-exim.sh"
Content-Transfer-Encoding: quoted-printable

#!/bin/sh=0A#=0A# $Id$=0A#=0A# Note that 'pidfile' may need to be changed i=
f 'args' is altered; see=0A# the description of the 'pid_file_path' Exim co=
nfiguration option in=0A# the Exim Specification.=0A#=0Aargs=3D'-bd -q30m'=
=0Apidfile=3D'/var/run/exim.pid'=0A=0Acase "$1" in=0Astart)=0A        [ -x =
/usr/local/sbin/exim ] && /usr/local/sbin/exim ${args} && \=0A	    echo -n =
' exim'=0A        ;;=0Astop)=0A        kill `cat ${pidfile}` && echo -n ' e=
xim'=0A        ;;=0A*)=0A        echo "Usage: `basename $0` {start|stop}" >=
&2=0A        exit 64=0A        ;;=0Aesac=0A=0Aexit 0=0A=0A
--OwLcNYc0lM97+oe1--

To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-stable" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?20020919125842.GE5415>